export const CostDetailColumns = [
	{ type: 'seq', title: '序 号', minWidth: 50, align: 'center' },
	{ field: 'description', title: '描 述', minWidth: 200, align: 'center', showOverflow: true, slots: { default: 'description' } },
	{ field: 'station', title: '地 区', minWidth: 100, align: 'center', showOverflow: true, slots: { default:'station' } },
	{ field: 'platform', title: '平 台', minWidth: 100, align: 'center', showOverflow: true, slots: { default: 'platform' } },
	// { field: '', title: '货币单位', minWidth: 'auto', align: 'center', showOverflow: true,},
	{
		title: '税费成本', align: 'center',
		children: [
			{ field: 'export_tax_rate', title: '出口报关费率', minWidth: 'auto', align: 'center', },
			{ field: 'import_tax_rate', title: '进口关税率', minWidth: 'auto', align: 'center', },
			{ field: 'VAT_rate', title: 'VAT', minWidth: 'auto', align: 'center', },
		],
	},
	{
		title: '运输成本', align: 'center',
		children: [
			{ field: 'first_cost', title: '头程运输费率', minWidth: 'auto', align: 'center', },
			{ field: 'forwarding_fee', title: '转发费', minWidth: 'auto', align: 'center', },
		],
	},

	{
		title: '销售成本', align: 'center',
		children: [
			{ field: 'return_or_refurbishment_rates', title: '退货与翻新费', minWidth: 'auto', align: 'center',
				},
			{ field: 'advertising_budget_rate', title: '广告预算费率', minWidth: 'auto', align: 'center',
				},
			{ field: 'storage_charges_rate', title: '仓储费', minWidth: 'auto', align: 'center',
				},
			{ field: 'brokerage_rate', title: '佣金', minWidth: 'auto', align: 'center',
				},
		],
	},

	// { field: '', title: '经营成本折算率', minWidth: 'auto', align: 'center', },
	{ field: 'price_supply_rate', title: '供货价折算率', minWidth: 'auto', align: 'center',
		slots: { default: 'price_supply_rate' }},

	{ field: 'operate', fixed: 'right', title: '操 作', align: 'center', width: 90, slots: { default: 'operate' } }
];

export const CostSelectColumns = [
	{ type: 'radio', minWidth: 50, align: 'center' },
	{ field: 'description', title: '描 述', minWidth: 200, align: 'center', showOverflow: true },
	{ field: 'station', title: '地 区', minWidth: 100, align: 'center', showOverflow: true },
	{ field: 'platform', title: '平 台', minWidth: 100, align: 'center', showOverflow: true },
	// { field: '', title: '货币单位', minWidth: 'auto', align: 'center', showOverflow: true,},
	{
		title: '税费成本', align: 'center',
		children: [
			{ field: 'export_tax_rate', title: '出口报关费率', minWidth: 'auto', align: 'center', },
			{ field: 'import_tax_rate', title: '进口关税率', minWidth: 'auto', align: 'center', },
			{ field: 'VAT_rate', title: 'VAT', minWidth: 'auto', align: 'center', },
		],
	},
	{
		title: '运输成本', align: 'center',
		children: [
			{ field: 'first_cost', title: '头程运输费率', minWidth: 'auto', align: 'center', },
			{ field: 'forwarding_fee', title: '转发费', minWidth: 'auto', align: 'center', },
		],
	},
	{
		title: '销售成本', align: 'center',
		children: [
			{ field: 'return_or_refurbishment_rates', title: '退货与翻新费', minWidth: 'auto', align: 'center',
			},
			{ field: 'advertising_budget_rate', title: '广告预算费率', minWidth: 'auto', align: 'center',
			},
			{ field: 'storage_charges_rate', title: '仓储费', minWidth: 'auto', align: 'center',
			},
			{ field: 'brokerage_rate', title: '佣金', minWidth: 'auto', align: 'center',
			},
		],
	},
	{ field: 'price_supply_rate', title: '供货价折算率', minWidth: 'auto', align: 'center',
		slots: { default: 'price_supply_rate' }},
];


export const SupplyCheckColumns_Regular = [
	{ type: 'seq', title: '序 号', width: 50, align: 'center' },
	{ field: 'sku', title: 'SKU', minWidth: 300, align: 'center', showOverflow: true,  },
	{ field: 'sales_mode', title: '销售模式', minWidth: 'auto', align: 'center', showOverflow: true,  },
	{ field: 'platform', title: '平 台', minWidth: 'auto', align: 'center', showOverflow: true, },
	{ field: 'country_code', title: '国 家', minWidth: 'auto', align: 'center', showOverflow: true,},
	// { field: '', title: '亚马逊最低售价', minWidth: 'auto', align: 'center', showOverflow: true,},
	{ field: 'price_supply', title: '供货价', minWidth: 'auto', align: 'center', showOverflow: true,},
	// { field: '', title: '卖场参考价格', minWidth: 'auto', align: 'center', showOverflow: true,},
	// { field: '', title: '卖场价格(不含VAT)', minWidth: 'auto', align: 'center', showOverflow: true,},
]

export const SupplyCheckColumns_Special = [
	{ type: 'seq', title: '序 号', width: 50, align: 'center' },
	{ field: 'sku', title: 'SKU', minWidth: 300, align: 'center', showOverflow: true},
	{ field: 'platform', title: '平 台', width: 'auto', align: 'center', showOverflow: true, },
	{ field: 'country_code', title: '国 家', width: 'auto', align: 'center', showOverflow: true,slots: { default: 'country_code' },},
	{ field: 'currency_code', title: '货币代码', width: 'auto', align: 'center', showOverflow: true,slots: { default: 'currency_code' },},
	{ field: 'estimated_cost', title: '预估硬件成本', width: 'auto', align: 'center', showOverflow: true ,slots: { default: 'estimated_cost' },},
	{ field: 'weight', title: '重量(KG)', width: 'auto', align: 'center', showOverflow: true,slots: { default: 'weight' },},
	{ field: 'export_tax', title: '出口报关价', width: 'auto', align: 'center', showOverflow: true,slots: { default: 'export_tax' },},
	{ field: 'import_tax', title: '进口关税', width: 'auto', align: 'center', showOverflow: true,slots: { default: 'import_tax' },},
	{ field: 'first_cost', title: '头程运费', width: 'auto', align: 'center', showOverflow: true,slots: { default: 'first_cost' },},
	{ field: 'final_cost', title: '尾程费用', width: 'auto', align: 'center', showOverflow: true,slots: { default: 'final_cost' },},

	{ field: 'VAT_price_daily', title: '日常VAT', width: 'auto', align: 'center', showOverflow: true,slots:{ default: 'VAT_price_daily' },},
	{ field: 'VAT_price_min', title: '最低VAT', width: 'auto', align: 'center', showOverflow: true,slots:{ default: 'VAT_price_min' },},
	{ field: 'forwarding_fee', title: '转发费', width: 'auto', align: 'center', showOverflow: true,slots: { default: 'forwarding_fee' },},
	// { field: '', title: '运费（小计）', width: 'auto', align: 'center', showOverflow: true,},
	{ field: 'ad_budget', title: '广告费', width: 'auto', align: 'center', showOverflow: true,slots: { default: 'ad_budget' },},
	// { field: '', title: 'VAT', width: 'auto', align: 'center', showOverflow: true,},
	{ field: 'return_or_refurbishment', title: '退货成本/翻新费', width: 'auto', align: 'center', showOverflow: true,slots: { default:'return_or_refurbishment' },},
	{ field: 'storage_charges', title: '仓储费', width: 'auto', align: 'center', showOverflow: true,slots: { default:'storage_charges' },},
	{ field: 'brokerage', title: '佣 金', width: 'auto', align: 'center', showOverflow: true,slots: { default: 'brokerage' },},
	// { field: '', title: '成本合计', width: 'auto', align: 'center', showOverflow: true,},
	{ field: 'sales_mode', title: '销售模式', width: 'auto', align: 'center', showOverflow: true,slots: { default:'sales_mode' }},
	{ field: 'price_min_cost', title: '最低售价成本', width: 'auto', align: 'center', showOverflow: true,slots: { default: 'price_min_cost' },},

	// { field: '', title: '亚马逊最低售价', width: 'auto', align: 'center', showOverflow: true,},
	{ field: 'price_supply', title: '供货价', width: 'auto', align: 'center', showOverflow: true,slots: { default: 'price_supply' },},
	// { field: '', title: '卖场参考价格', width: 'auto', align: 'center', showOverflow: true,},
	// { field: '', title: '卖场价格（不含VAT）', width: 'auto', align: 'center', showOverflow: true,},
	// { field: '', title: '卖场价格（含VAT）', width: 'auto', align: 'center', showOverflow: true,},
	{ field: 'gross_profit_margin', title: '毛利率', width: 'auto', align: 'center', showOverflow: true,slots:{default:'gross_profit_margin'},},
	{ field: 'exchange_rate', title: '汇率', width: 'auto', align: 'center', showOverflow: true,slots: { default: 'exchange_rate' },},
	{ field: 'price_daily_rmb', title: '日常活动售价（人民币）', width: 'auto', align: 'center', showOverflow: true,slots: { default: 'price_daily_rmb' },},

	{ field: 'average_gross_profit', title: '平均毛利', width: 'auto', align: 'center', showOverflow: true,slots: { default: 'average_gross_profit' },},
	{ field: 'routine_activity_profit', title: '日常活动销售利润', width: 'auto', align: 'center', showOverflow: true,slots: { default: 'routine_activity_profit' } },
	{ field: 'gross_margin_daily', title: '日常活动毛利率', width: 'auto', align: 'center', showOverflow: true,slots: { default: 'gross_margin_daily' },},
	{ field: 'operate', fixed: 'right', title: '操 作', align: 'center', width: 90, slots: { default: 'operate' } }
]

export const DirectSalesCheckColumns_Regular = [
	{ type: 'seq', title: '序 号', width: 50, align: 'center' },
	{ field: 'sku', title: 'SKU', minWidth: 300, align: 'center', showOverflow: true, slots: { default: 'description' } },
	{ field: 'sales_mode', title: '销售模式', minWidth: 'auto', align: 'center', showOverflow: true, slots: { default:'station' } },
	{ field: 'platform', title: '平 台', minWidth: 'auto', align: 'center', showOverflow: true, slots: { default: 'platform' } },
	{ field: 'country_code', title: '国 家', minWidth: 'auto', align: 'center', showOverflow: true,},
	{ field: 'price_show', title: '展示价格(外币)', minWidth: 'auto', align: 'center', showOverflow: true,},
	// { field: '', title: '活动价格', minWidth: 'auto', align: 'center', showOverflow: true,},
	// { field: '', title: '最低活动价格', minWidth: 'auto', align: 'center', showOverflow: true,},
	{ field: 'price_daily', title: '日常活动售价(外币)', width: 'auto', align: 'center', showOverflow: true,},
	{ field: 'price_daily_rmb', title: '日常活动售价（人民币）', width: 'auto', align: 'center', showOverflow: true,},
	{ field: 'price_min', title: '最低售价(外币)', width: 'auto', align: 'center', showOverflow: true,},
]

export const DirectSalesCheckColumns_Special = [
	{ type: 'seq', title: '序 号', width: 50, align: 'center' },
	{ field: 'sku', title: 'SKU', minWidth: 300, align: 'center', showOverflow: true},
	{ field: 'platform', title: '平 台', width: 'auto', align: 'center', showOverflow: true, },
	{ field: 'country_code', title: '国 家', width: 'auto', align: 'center', showOverflow: true,slots: { default: 'country_code' },},
	{ field: 'currency_code', title: '货币代码', width: 'auto', align: 'center', showOverflow: true,slots: { default: 'currency_code' },},
	{ field: 'estimated_cost', title: '预估硬件成本', width: 'auto', align: 'center', showOverflow: true ,slots: { default: 'estimated_cost' },},
	{ field: 'weight', title: '重量(KG)', width: 'auto', align: 'center', showOverflow: true,slots: { default: 'weight' },},
	{ field: 'export_tax', title: '出口报关价', width: 'auto', align: 'center', showOverflow: true,slots: { default: 'export_tax' },},
	{ field: 'import_tax', title: '进口关税', width: 'auto', align: 'center', showOverflow: true,slots: { default: 'import_tax' },},
	{ field: 'first_cost', title: '头程运费', width: 'auto', align: 'center', showOverflow: true,slots: { default: 'first_cost' },},
	{ field: 'final_cost', title: '尾程费用', width: 'auto', align: 'center', showOverflow: true,slots: { default: 'final_cost' },},

	{ field: 'VAT_price_daily', title: '日常VAT', width: 'auto', align: 'center', showOverflow: true,slots:{ default: 'VAT_price_daily' },},
	{ field: 'VAT_price_min', title: '最低VAT', width: 'auto', align: 'center', showOverflow: true,slots:{ default: 'VAT_price_min' },},
	{ field: 'forwarding_fee', title: '转发费', width: 'auto', align: 'center', showOverflow: true,slots: { default: 'forwarding_fee' },},
	// { field: '', title: '运费（小计）', width: 'auto', align: 'center', showOverflow: true,},
	{ field: 'ad_budget', title: '广告费', width: 'auto', align: 'center', showOverflow: true,},
	// { field: '', title: 'VAT', width: 'auto', align: 'center', showOverflow: true,},
	{ field: 'return_or_refurbishment', title: '退货成本/翻新费', width: 'auto', align: 'center', showOverflow: true,slots: { default:'return_or_refurbishment' },},
	{ field: 'storage_charges', title: '仓储费', width: 'auto', align: 'center', showOverflow: true,slots: { default:'storage_charges' },},
	{ field: 'brokerage', title: '佣 金', width: 'auto', align: 'center', showOverflow: true,slots: { default: 'brokerage' },},
	// { field: '', title: '成本合计', width: 'auto', align: 'center', showOverflow: true,},
	{ field: 'sales_mode', title: '销售模式', width: 'auto', align: 'center', showOverflow: true,slots: { default:'sales_mode' }},
	{ field: 'price_min_cost', title: '最低售价成本', width: 'auto', align: 'center', showOverflow: true,slots: { default: 'price_min_cost' },},

	{ field: 'price_daily', title: '日常活动售价(外币)', width: 'auto', align: 'center', showOverflow: true,slots: { default: 'price_daily' },},
	{ field: 'price_show', title: '展示价格(外币)', width: 'auto', align: 'center', showOverflow: true,slots: { default: 'price_show' },},
	{ field: 'discount_daily', title: '日常折扣', width: 'auto', align: 'center', showOverflow: true,slots:{ default: 'discount_daily' },},
	{ field: 'discount_min', title: '最低活动折扣', width: 'auto', align: 'center', showOverflow: true,slots: { default: 'discount_min' },},
	{ field: 'price_min', title: '最低售价(外币)', width: 'auto', align: 'center', showOverflow: true,slots: { default: 'price_min' },},
	// { field: '', title: '供货价', width: 'auto', align: 'center', showOverflow: true,},
	// { field: '', title: '卖场参考价格', width: 'auto', align: 'center', showOverflow: true,},
	// { field: '', title: '卖场价格（不含VAT）', width: 'auto', align: 'center', showOverflow: true,},
	// { field: '', title: '卖场价格（含VAT）', width: 'auto', align: 'center', showOverflow: true,},
	{ field: 'gross_profit_margin', title: '毛利率', width: 'auto', align: 'center', showOverflow: true,slots:{default:'gross_profit_margin'},},
	{ field: 'exchange_rate', title: '汇率', width: 'auto', align: 'center', showOverflow: true,slots: { default: 'exchange_rate' },},
	{ field: 'price_daily_rmb', title: '日常活动售价（人民币）', width: 'auto', align: 'center', showOverflow: true,slots: { default: 'price_daily_rmb' },},

	{ field: 'average_gross_profit', title: '平均毛利', width: 'auto', align: 'center', showOverflow: true,slots: { default: 'average_gross_profit' },},
	{ field: 'routine_activity_profit', title: '日常活动销售利润', width: 'auto', align: 'center', showOverflow: true,slots: { default: 'routine_activity_profit' } },
	{ field: 'gross_margin_daily', title: '日常活动毛利率', width: 'auto', align: 'center', showOverflow: true,slots: { default: 'gross_margin_daily' },},
	{ field: 'operate', fixed: 'right', title: '操 作', align: 'center', width: 90, slots: { default: 'operate' } }
]
